#
# opal_config.mak
#
# Make symbols include file for Open Phone Abstraction library
#
# Copyright (c) 2001 Equivalence Pty. Ltd.
#
# The contents of this file are subject to the Mozilla Public License
# Version 1.0 (the "License"); you may not use this file except in
# compliance with the License. You may obtain a copy of the License at
# http://www.mozilla.org/MPL/
#
# Software distributed under the License is distributed on an "AS IS"
# basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See
# the License for the specific language governing rights and limitations
# under the License.
#
# The Original Code is Open Phone Abstraction library.
#
# The Initial Developer of the Original Code is Equivalence Pty. Ltd.
#
# Contributor(s): ______________________________________.
#
# $Revision: 32018 $
# $Author: rjongbloed $
# $Date: 2014-06-01 15:12:44 +1000 (Sun, 01 Jun 2014) $
#

OPAL_MAJOR :=3
OPAL_MINOR :=14
OPAL_STAGE :=.
OPAL_BUILD :=3

# detected platform
target_cpu       := x86_64
target_os        := linux
target           := linux_x86_64

# The install directories
ifndef prefix
  prefix := /usr
endif
ifndef exec_prefix
  exec_prefix := /usr
endif
ifndef libdir
  libdir := /usr/lib64
endif
ifndef includedir
  includedir := /usr/include
endif
ifndef datarootdir
  datarootdir := ${prefix}/share
endif

OPAL_PLUGIN_DIR  := ${libdir}/opal-3.14.3

# Tool names detected by configure
CC               := gcc
CXX              := g++
LD               := g++
AR               := ar
RANLIB           := ranlib
LN_S             := ln -s
MKDIR_P          := mkdir -p
INSTALL          := /usr/bin/install -c -C
SVN              := /usr/bin/svn
SWIG             := /usr/bin/swig

# Compile/tool flags
CPPFLAGS         :=  -I${includedir}/opal   $(CPPFLAGS)
CXXFLAGS         :=  $(CXXFLAGS)
CFLAGS           :=  $(CFLAGS)
LDFLAGS          :=  $(LDFLAGS)
LIBS             := -lspeexdsp    $(LDFLAGS)
SHARED_CPPFLAGS  := -fPIC
SHARED_LDFLAGS    = -shared -Wl,-soname,$(LIB_SONAME)
DEBUG_CPPFLAGS   := -D_DEBUG
DEBUG_CFLAGS     :=  -g3 -ggdb -O0
OPT_CPPFLAGS     := -DNDEBUG
OPT_CFLAGS       :=  -O3
ARFLAGS          := rc

SHAREDLIBEXT     := so
STATICLIBEXT     := a

# Configuration options
OPAL_PLUGINS     := yes
OPAL_SAMPLES     := no

OPAL_H323        := no
OPAL_SIP         := no
OPAL_IAX2        := yes
OPAL_SKINNY      := yes
OPAL_VIDEO       := no
OPAL_ZRTP        := no
OPAL_LID         := no
OPAL_CAPI        := no
OPAL_DAHDI       := no
OPAL_IVR         := no
OPAL_HAS_H224    := yes
OPAL_HAS_H281    := yes
OPAL_H235_6      := no
OPAL_H235_8      := no
OPAL_H450        := no
OPAL_H460        := no
OPAL_H501        := no
OPAL_T120DATA    := no
OPAL_SRTP        := no
SRTP_SYSTEM      := no
OPAL_RFC4175     := no
OPAL_RFC2435     := no
OPAL_AEC         := yes
OPAL_G711PLC     := yes
OPAL_T38_CAP     := yes
OPAL_FAX         := yes
OPAL_JAVA        := no
SPEEXDSP_SYSTEM  := yes
OPAL_HAS_PRESENCE:= yes
OPAL_HAS_MSRP    := yes
OPAL_HAS_SIPIM   := no
OPAL_HAS_RFC4103 := yes
OPAL_HAS_MIXER   := yes
OPAL_HAS_PCSS    := yes

# PTLib interlocks
OPAL_PTLIB_SSL          := yes
OPAL_PTLIB_SSL_AES      := yes
OPAL_PTLIB_ASN          := yes
OPAL_PTLIB_EXPAT        := yes
OPAL_PTLIB_AUDIO        := yes
OPAL_PTLIB_VIDEO        := yes
OPAL_PTLIB_WAVFILE      := yes
OPAL_PTLIB_DTMF         := yes
OPAL_PTLIB_IPV6         := yes
OPAL_PTLIB_DNS_RESOLVER := yes
OPAL_PTLIB_LDAP         := yes
OPAL_PTLIB_VXML         := yes
OPAL_PTLIB_CONFIG_FILE  := yes
OPAL_PTLIB_HTTPSVC      := yes
OPAL_PTLIB_STUN         := yes
OPAL_PTLIB_CLI          := yes
OPAL_GSTREAMER          := no

PTLIB_MAKE_DIR   := /usr/share/ptlib/make
PTLIB_LIB_DIR    := /usr/lib64


# Remember where this make file is, it is the platform specific one and there
# is a corresponding platform specific include file that goes with it
OPAL_PLATFORM_INC_DIR := $(abspath $(dir $(lastword $(MAKEFILE_LIST)))../include)


# End of file
